de.esprit.netsuite.server.config

## Class AbstractServerConfiguration

- java.lang.Object
- - de.esprit.netsuite.server.config.AbstractServerConfiguration

- Direct Known Subclasses:
    DefaultServerConfiguration

      public abstract class AbstractServerConfiguration
      extends java.lang.Object

  This map defines a server configuration. All server configuration files are installed in the servers workspaceDir.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractServerConfiguration(ServerHost serverHost, java.io.File workspaceDir)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBatchTaskConfig(BatchTaskConfigEntry entry)`
    `void` | `addCoServerConnections(java.lang.String serverName, java.lang.String... coServerNames)`
    `void` | `addDataSourceDefinition(boolean isEnabled, java.lang.String dataSourceName, java.lang.String credential, java.lang.String comment)`
    `void` | `addGroup(Group group)`
    `void` | `addGroupPermission(GroupPermissionEntry groupEntry)`
    `void` | `addServerHost(java.lang.String serverName, java.lang.String hostName, int port)`
    `void` | `addUser(User user)`
    `void` | `addUserPermission(UserPermissionEntry userEntry)`
    `java.lang.Object` | `getAsBoolean(ServerParamsConfigKey key)`
    `java.lang.Object` | `getAsBoolean(ServerStartupConfigKey key)`
    `double` | `getAsDouble(ServerParamsConfigKey key)`
    `double` | `getAsDouble(ServerStartupConfigKey key)`
    `java.io.File` | `getAsFile(ServerStartupConfigKey key)`
    `int` | `getAsInt(ServerParamsConfigKey key)`
    `int` | `getAsInt(ServerStartupConfigKey key)`
    `java.lang.String` | `getAsString(ServerParamsConfigKey key)`
    `java.lang.String` | `getAsString(ServerStartupConfigKey key)`
    `java.io.File` | `getConfigDir()`
    `java.io.File` | `getDataDir()`
    `java.io.File` | `getHistoryDir()`
    `java.io.File` | `getLogDir()`
    `ServerConfig` | `getServerConfig()` Returns a `ServerConfig` object that was read from the servers config directory
    `protected ResourceDef[]` | `getServerWebDataResourceDefs()`
    `java.io.File` | `getTaskDir()`
    `java.io.File` | `getWebDir()`
    `java.io.File` | `getWorkspaceDir()`
    `void` | `install()` Installs all missing config files into the config directory, applying the replacements of this map
    `void` | `purgeWorkspace()` Removes all content of the workspaceDir
    `void` | `put(ServerParamsConfigKey key, boolean value)`
    `void` | `put(ServerParamsConfigKey key, double value)`
    `void` | `put(ServerParamsConfigKey key, int value)`
    `void` | `put(ServerParamsConfigKey key, java.lang.String value)`
    `void` | `put(ServerStartupConfigKey key, boolean value)`
    `void` | `put(ServerStartupConfigKey key, double value)`
    `void` | `put(ServerStartupConfigKey key, int value)`
    `void` | `put(ServerStartupConfigKey key, java.lang.String value)`
    `void` | `setDefaultDerbyHome(java.io.File derbyHomeDir)`
    `void` | `setEmailAddresses(java.lang.String... addrs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractServerConfiguration

          public AbstractServerConfiguration(ServerHost serverHost,
                                     java.io.File workspaceDir)

  - ### Method Detail

    - #### addDataSourceDefinition

          public void addDataSourceDefinition(boolean isEnabled,
                                     java.lang.String dataSourceName,
                                     java.lang.String credential,
                                     java.lang.String comment)

    - #### setEmailAddresses

          public void setEmailAddresses(java.lang.String... addrs)

    - #### addUser

          public void addUser(User user)

    - #### addBatchTaskConfig

          public void addBatchTaskConfig(BatchTaskConfigEntry entry)

    - #### addGroup

          public void addGroup(Group group)

    - #### addServerHost

          public final void addServerHost(java.lang.String serverName,
                           java.lang.String hostName,
                           int port)

    - #### addCoServerConnections

          public final void addCoServerConnections(java.lang.String serverName,
                                    java.lang.String... coServerNames)

    - #### getWorkspaceDir

          public java.io.File getWorkspaceDir()

    - #### getConfigDir

          public java.io.File getConfigDir()

    - #### getDataDir

          public java.io.File getDataDir()

    - #### getLogDir

          public java.io.File getLogDir()

    - #### getHistoryDir

          public java.io.File getHistoryDir()

    - #### getTaskDir

          public java.io.File getTaskDir()

    - #### getWebDir

          public java.io.File getWebDir()

    - #### install

          public final void install()
                             throws java.lang.Exception

      Installs all missing config files into the config directory, applying the replacements of this map
      Throws:
        `java.lang.Exception`

    - #### setDefaultDerbyHome

          public void setDefaultDerbyHome(java.io.File derbyHomeDir)

    - #### getServerWebDataResourceDefs

          protected ResourceDef[] getServerWebDataResourceDefs()

    - #### purgeWorkspace

          public void purgeWorkspace()
                              throws java.lang.Exception

      Removes all content of the workspaceDir
      Throws:
        `java.lang.Exception`

    - #### getServerConfig

          public ServerConfig getServerConfig()
                                       throws java.lang.Exception

      Returns a `ServerConfig` object that was read from the servers config directory
      Throws:
        `java.lang.Exception`

    - #### addUserPermission

          public void addUserPermission(UserPermissionEntry userEntry)

    - #### addGroupPermission

          public void addGroupPermission(GroupPermissionEntry groupEntry)

    - #### put

          public void put(ServerStartupConfigKey key,
                 boolean value)

    - #### put

          public void put(ServerStartupConfigKey key,
                 double value)

    - #### put

          public void put(ServerStartupConfigKey key,
                 int value)

    - #### put

          public void put(ServerStartupConfigKey key,
                 java.lang.String value)

    - #### getAsBoolean

          public java.lang.Object getAsBoolean(ServerStartupConfigKey key)

    - #### getAsDouble

          public double getAsDouble(ServerStartupConfigKey key)

    - #### getAsInt

          public int getAsInt(ServerStartupConfigKey key)

    - #### getAsString

          public java.lang.String getAsString(ServerStartupConfigKey key)

    - #### getAsFile

          public java.io.File getAsFile(ServerStartupConfigKey key)

    - #### put

          public void put(ServerParamsConfigKey key,
                 boolean value)

    - #### put

          public void put(ServerParamsConfigKey key,
                 double value)

    - #### put

          public void put(ServerParamsConfigKey key,
                 int value)

    - #### put

          public void put(ServerParamsConfigKey key,
                 java.lang.String value)

    - #### getAsBoolean

          public java.lang.Object getAsBoolean(ServerParamsConfigKey key)

    - #### getAsDouble

          public double getAsDouble(ServerParamsConfigKey key)

    - #### getAsInt

          public int getAsInt(ServerParamsConfigKey key)

    - #### getAsString

          public java.lang.String getAsString(ServerParamsConfigKey key)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.